#pragma once

float Noise2D(int x, int y);
float Noise2D(float x, float y);
float SmoothedNoise2D(float x, float y);
float CompileNoise(float x, float y) ;
float  Cosine_Interpolate(float a,float b,float x);




